Bug 463796 - [LTC 6.0 FEAT] 201183:System z optimizations for gcc 2007
[LTC 6.0 FEAT] 201183:System z optimizations for gcc 2007
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: 6.0
Assigned To: Jakub Jelinek
Michal Nowak
: FutureFeature
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-24 14:40 EDT by IBM Bug Proxy
Modified: 2013-03-07 21:04 EST (History)
6 users (show)

See Also:
Fixed In Version: gcc-4.4.1-22.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:06:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 14:40:45 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:50 EDT
1. Feature Overview:
Feature Id:	[201183]
a. Name of Feature:	System z optimizations for gcc 2007
b. Feature Description
Exploit new Optimization Capabilities of gcc in the Current Development Version

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Purely Arch Specific Code
Affects Toolchain: Yes
Delivery Mechanism: Direct from community
Category:	Toolchain
Request Type:	Toolchain - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	gcc 4.3

3. Business Case
This patch provides the customers improved performance throughout the whole system by optimizing gcc
with improved algorithms

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 Bill Nottingham 2008-10-03 11:15:38 EDT
This isn't very clear - what in gcc is being improved, does it require (for example) new flags passed on the commandline, and is this in the current gcc-4.3 release?
Comment 2 IBM Bug Proxy 2009-02-09 06:22:13 EST
(In reply to comment #4)
> This isn't very clear - what in gcc is being improved, does it require (for
> example) new flags passed on the commandline, and is this in the current
> gcc-4.3 release?
>

This is the currency work done for GCC to support System z and it is everything upstream.
Comment 3 Bill Nottingham 2009-02-10 10:33:54 EST
OK, then - setting to MODIFIED.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 4 releng-rhel@redhat.com 2009-10-29 09:44:01 EDT
Fixed in 'gcc-4.4.1-22.el6', included in compose 'RHEL6.0-20091028.0'.
Moving to ON_QA.
Comment 6 IBM Bug Proxy 2010-06-16 03:51:08 EDT
------- Comment From mgrf@de.ibm.com 2010-06-16 03:43 EDT-------
This feature is verified on R6 snapshots
Set feature to "verified"  Thx
Comment 7 releng-rhel@redhat.com 2010-07-02 15:06:31 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.